Sign in

List Account

GET https://{organization}.myguper.com/api/account/list

Returns the paginated list of tenant accounts (admin-only).

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.
User-Agent * string
signature * string

Query parameters

Name Type Description
q[column][operator] string Filter using the `q[column][operator]=value` grammar. See [List query parameters](/docs/{lang}/guides/list-query-parameters) for the full operator table.
o[column] string Sort by column. Direction: `ASC`, `DESC`, `1` or `0`.
e string
default: 20
p integer Page number (≥ 1).
default: 1

Responses

{
    "list": [
        { "organization": "acme", "name": "ACME", "active": true },
        { "organization": "globex", "name": "Globex", "active": false }
    ],
    "total": 2
}

Related

Copied to clipboard